summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-embedded')
-rw-r--r--dev-embedded/arduino-ctags/files/arduino-ctags-20161123-gcc-unused-attribute.patch11
-rw-r--r--dev-embedded/arduino/arduino-1.8.19-r1.ebuild121
-rw-r--r--dev-embedded/arduino/arduino-1.8.19.ebuild6
-rw-r--r--dev-embedded/avrdude/Manifest1
-rw-r--r--dev-embedded/avrdude/avrdude-7.0.ebuild64
-rw-r--r--dev-embedded/avrdude/avrdude-7.2.ebuild2
-rw-r--r--dev-embedded/esptool/esptool-4.7.0-r3.ebuild (renamed from dev-embedded/esptool/esptool-4.7.0-r2.ebuild)3
-rw-r--r--dev-embedded/libftdi/files/libftdi-1.5-py312.patch25
-rw-r--r--dev-embedded/libftdi/libftdi-0.20-r3.ebuild2
-rw-r--r--dev-embedded/libftdi/libftdi-1.5-r7.ebuild (renamed from dev-embedded/libftdi/libftdi-1.5-r6.ebuild)13
-rw-r--r--dev-embedded/libftdi/libftdi-9999.ebuild5
-rw-r--r--dev-embedded/nodemcu-uploader/nodemcu-uploader-1.0.0-r1.ebuild4
-rw-r--r--dev-embedded/sunxi-tools/sunxi-tools-1.4.2.ebuild4
-rw-r--r--dev-embedded/u-boot-tools/u-boot-tools-2024.01.ebuild2
14 files changed, 176 insertions, 87 deletions
diff --git a/dev-embedded/arduino-ctags/files/arduino-ctags-20161123-gcc-unused-attribute.patch b/dev-embedded/arduino-ctags/files/arduino-ctags-20161123-gcc-unused-attribute.patch
index e725e1193685..96cfb4aa8347 100644
--- a/dev-embedded/arduino-ctags/files/arduino-ctags-20161123-gcc-unused-attribute.patch
+++ b/dev-embedded/arduino-ctags/files/arduino-ctags-20161123-gcc-unused-attribute.patch
@@ -223,3 +223,14 @@ Thanks-to: <s.zharkoff@gmail.com>
{
tagEntryInfo tag;
initTagEntry (&tag, vStringValue (function));
+--- a/routines.c
++++ b/routines.c
+@@ -526,7 +526,7 @@ static boolean isPathSeparator (const int c)
+
+ #if ! defined (HAVE_STAT_ST_INO)
+
+-static void canonicalizePath (char *const path __unused__)
++static void canonicalizePath (char *const path __arduino_unused__)
+ {
+ #if defined (MSDOS_STYLE_PATH)
+ char *p;
diff --git a/dev-embedded/arduino/arduino-1.8.19-r1.ebuild b/dev-embedded/arduino/arduino-1.8.19-r1.ebuild
new file mode 100644
index 000000000000..458ce8fcbd07
--- /dev/null
+++ b/dev-embedded/arduino/arduino-1.8.19-r1.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit java-pkg-2 desktop xdg
+
+DESCRIPTION="An open-source AVR electronics prototyping platform"
+HOMEPAGE="https://www.arduino.cc/ https://github.com/arduino/"
+
+AVR_VERSION="1.8.3"
+EXAMPLES_VERSION="1.9.1"
+PLUGIN_VERSION="0.12.0"
+
+SRC_URI="https://github.com/arduino/Arduino/archive/${PV}.tar.gz -> ${P}.tar.gz
+ https://downloads.arduino.cc/cores/avr-${AVR_VERSION}.tar.bz2 -> ${PN}-avr-${AVR_VERSION}.tar.bz2
+ https://github.com/arduino/arduino-examples/archive/refs/tags/${EXAMPLES_VERSION}.zip -> ${PN}-examples-${EXAMPLES_VERSION}.zip
+ https://github.com/arduino/WiFi101-FirmwareUpdater-Plugin/releases/download/v${PLUGIN_VERSION}/WiFi101-Updater-ArduinoIDE-Plugin-${PLUGIN_VERSION}.zip -> ${PN}-WiFi101-Updater-ArduinoIDE-Plugin-${PLUGIN_VERSION}.zip
+ "
+S="${WORKDIR}/Arduino-${PV}"
+
+LICENSE="GPL-2 LGPL-2.1 CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND=">=dev-java/ant-1.10.14-r3:0"
+CDEPEND="dev-embedded/arduino-builder"
+
+RDEPEND="${CDEPEND}
+ >=dev-util/astyle-3.1[java]
+ dev-embedded/arduino-listserialportsc
+ >=virtual/jre-1.8"
+
+DEPEND="${CDEPEND}
+ app-arch/unzip
+ >=virtual/jdk-1.8"
+
+EANT_BUILD_TARGET="build"
+# don't run the default "javadoc" target, we don't have one.
+EANT_DOC_TARGET=""
+
+RESTRICT="strip"
+QA_PREBUILT="usr/share/arduino/hardware/arduino/avr/firmwares/*"
+
+PATCHES=(
+ # We need to load system astyle/listserialportsc instead of bundled ones.
+ "${FILESDIR}/${PN}-1.8.5-lib-loading.patch"
+)
+
+src_unpack() {
+ # We don't want to unpack tools, just move zip files into the work dir
+ local a=( ${A} )
+ unpack "${a[0]}"
+
+ cp "${DISTDIR}/${PN}-avr-${AVR_VERSION}.tar.bz2" "${S}/build/avr-${AVR_VERSION}.tar.bz2" || die
+ cp "${DISTDIR}/${PN}-examples-${EXAMPLES_VERSION}.zip" "${S}/build/" || die
+ cp "${DISTDIR}/${PN}-WiFi101-Updater-ArduinoIDE-Plugin-${PLUGIN_VERSION}.zip" "${S}/build/shared/WiFi101-Updater-ArduinoIDE-Plugin-${PLUGIN_VERSION}.zip" || die
+}
+
+src_prepare() {
+ default
+# java-pkg_clean # pretty much stuff to get unbundled
+
+ # Unbundle libastyle
+ sed -i 's/\(target name="linux-libastyle-[a-zA-Z0-9]*"\)/\1 if="never"/g' "$S/build/build.xml" || die
+
+ # Unbundle avr toolchain
+ sed -i 's/target name="avr-toolchain-bundle" unless="light_bundle"/target name="avr-toolchain-bundle" if="never"/' "$S/build/build.xml" || die
+
+ # Install avr hardware
+ sed -i 's/target name="assemble-hardware" unless="light_bundle"/target name="assemble-hardware"/' "$S/build/build.xml" || die
+}
+
+src_compile() {
+ eant -f build/build.xml -Dlight_bundle=1 -Dlocal_sources=1 -Dno_arduino_builder=1 -Dversion=1.8.19
+}
+
+src_install() {
+ cd "${S}"/build/linux/work || die
+
+ # We need to replace relative paths for toolchain executable by paths to system ones.
+ sed -i -e 's@^compiler.path=.*@compiler.path=/usr/bin/@' -e 's@^tools.avrdude.path=.*@tools.avrdude.path=/usr@' \
+ -e 's@^tools.avrdude.config.path=.*@tools.avrdude.config.path=/etc/avrdude.conf@' hardware/arduino/avr/platform.txt || die
+
+ java-pkg_dojar lib/*.jar
+ java-pkg_dolauncher ${PN} \
+ --pwd "/usr/share/${PN}" \
+ --main "processing.app.Base" \
+ --java_args "-DAPP_DIR=/usr/share/${PN} -Djava.library.path=${EPREFIX}/usr/$(get_libdir)"
+
+ insinto "/usr/share/${PN}"
+
+ doins -r examples hardware lib tools
+
+ # In upstream's build process, we copy these fiels below from the bundled arduino-builder.
+ # Here we do the same thing, but from the system arduino-builder.
+ dosym "../../arduino-builder/platform.txt" "/usr/share/${PN}/hardware/platform.txt"
+ dosym "../../arduino-builder/platform.keys.rewrite.txt" "/usr/share/${PN}/hardware/platform.keys.rewrite.txt"
+ dosym "../../bin/arduino-builder" "/usr/share/${PN}/arduino-builder"
+
+ # hardware/tools/avr needs to exist or arduino-builder will
+ # complain about missing required -tools arg
+ dodir "/usr/share/${PN}/hardware/tools/avr"
+
+ # Install menu and icons
+ domenu "${FILESDIR}/${PN}.desktop"
+ cd lib/icons || die
+ local icondir
+ for icondir in *; do
+ # icondir name is something like "24x24" we want the "24" part
+ local iconsize=`cut -dx -f1 <<< "${icondir}"`
+ newicon -s $iconsize \
+ "${icondir}/apps/arduino.png" \
+ "${PN}.png"
+ done
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ [[ ! -x /usr/bin/avr-g++ ]] && ewarn "Missing avr-g++; you need to crossdev -s4 avr"
+}
diff --git a/dev-embedded/arduino/arduino-1.8.19.ebuild b/dev-embedded/arduino/arduino-1.8.19.ebuild
index 00bad17d94bd..4dd3c76f3613 100644
--- a/dev-embedded/arduino/arduino-1.8.19.ebuild
+++ b/dev-embedded/arduino/arduino-1.8.19.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -6,7 +6,7 @@ EAPI=8
inherit java-pkg-2 java-ant-2 desktop xdg-utils
DESCRIPTION="An open-source AVR electronics prototyping platform"
-HOMEPAGE="https://arduino.cc/ https://github.com/arduino/"
+HOMEPAGE="https://www.arduino.cc/ https://github.com/arduino/"
AVR_VERSION="1.8.3"
EXAMPLES_VERSION="1.9.1"
@@ -15,7 +15,7 @@ PLUGIN_VERSION="0.12.0"
SRC_URI="https://github.com/arduino/Arduino/archive/${PV}.tar.gz -> ${P}.tar.gz
https://downloads.arduino.cc/cores/avr-${AVR_VERSION}.tar.bz2 -> ${PN}-avr-${AVR_VERSION}.tar.bz2
https://github.com/arduino/arduino-examples/archive/refs/tags/${EXAMPLES_VERSION}.zip -> ${PN}-examples-${EXAMPLES_VERSION}.zip
- https://github.com/arduino-libraries/WiFi101-FirmwareUpdater-Plugin/releases/download/v${PLUGIN_VERSION}/WiFi101-Updater-ArduinoIDE-Plugin-${PLUGIN_VERSION}.zip -> ${PN}-WiFi101-Updater-ArduinoIDE-Plugin-${PLUGIN_VERSION}.zip
+ https://github.com/arduino/WiFi101-FirmwareUpdater-Plugin/releases/download/v${PLUGIN_VERSION}/WiFi101-Updater-ArduinoIDE-Plugin-${PLUGIN_VERSION}.zip -> ${PN}-WiFi101-Updater-ArduinoIDE-Plugin-${PLUGIN_VERSION}.zip
"
LICENSE="GPL-2 LGPL-2.1 CC-BY-SA-3.0"
diff --git a/dev-embedded/avrdude/Manifest b/dev-embedded/avrdude/Manifest
index 9c081c4825fd..ab5c66389600 100644
--- a/dev-embedded/avrdude/Manifest
+++ b/dev-embedded/avrdude/Manifest
@@ -1,2 +1 @@
-DIST avrdude-7.0.tar.gz 2354082 BLAKE2B 44cc6cb82abd4e44f9e7f72901cd9b2a13c9e7635582993ea9a01ea482709ca6a8a3454980446d1196a67cec19a021133d5821731618350336f81fce09d7c049 SHA512 ca3338e6f2f0efc102e70f72531efbd237c5f7bc282d8db5530038f9e20b18a7c2682343bb2baff08c81f8959b066323a444dd64c2362a340a9d9708f90770e0
DIST avrdude-7.2.tar.gz 2622520 BLAKE2B 7bf86ea802bb150415a0d8c1ba884d5ff84b3d4bfb0e77470205d578001c1c19f782ddd37ae4235fba9f2ccc05247aea1723ebc2e1c71174c23b0986e835231e SHA512 04d04492458bc1d183ad8ff403cf3d38f65f44bb992df589e8f49d28b5347eb63433568c95f5d575ae651be70d725d3f178175cd1fe6dcd46ec013c3fe3f2ab0
diff --git a/dev-embedded/avrdude/avrdude-7.0.ebuild b/dev-embedded/avrdude/avrdude-7.0.ebuild
deleted file mode 100644
index 9acd4349f655..000000000000
--- a/dev-embedded/avrdude/avrdude-7.0.ebuild
+++ /dev/null
@@ -1,64 +0,0 @@
-# Copyright 2022-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake
-
-DESCRIPTION="AVR Downloader/UploaDEr"
-HOMEPAGE="https://avrdudes.github.io/avrdude https://github.com/avrdudes/avrdude"
-SRC_URI="https://github.com/avrdudes/avrdude/archive/refs/tags/v${PV}.tar.gz -> avrdude-${PV}.tar.gz"
-
-LICENSE="GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 arm ppc ppc64 x86"
-IUSE="ftdi readline"
-
-RDEPEND="
- dev-libs/hidapi
- virtual/libelf:=
- virtual/libusb:0
- virtual/libusb:1
- ftdi? ( dev-embedded/libftdi:1= )
- readline? ( sys-libs/readline:0= )
-"
-DEPEND="${RDEPEND}"
-BDEPEND="
- app-alternatives/yacc
- app-alternatives/lex
-"
-
-src_prepare() {
- cmake_src_prepare
-
- # CMAKE_INSTALL_LIBDIR is not respected. Fixed in the next release.
- sed -i "s@DESTINATION lib@DESTINATION $(get_libdir)@g" \
- src/CMakeLists.txt || die
-
- # For some reason 'TYPE SYSCONF' and 'CMAKE_INSTALL_SYSCONFDIR'
- # prepends '/usr' so the config ends up getting installed as
- # '/usr/etc/avrdude.conf' which is not correct.
- sed -i 's@TYPE SYSCONF@DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}@' \
- src/CMakeLists.txt || die
-}
-
-src_configure() {
- # Optional libraries like libftdi aren't gated behind options and
- # find_package calls, but find_library is called directly
- # instead.
- #
- # Set the cache variable to an empty string if we do not want a
- # library to be automatically detected.
- local mycmakeargs=(
- -DBUILD_DOC=OFF # This currently does nothing...
- -DBUILD_SHARED_LIBS=ON
- -DDEBUG_CMAKE=ON
- -DHAVE_LIBFTDI=''
- -DHAVE_LIBHID=''
- -DHAVE_LINUXGPIO=ON # Seems like there is no reason to have this off.
- -DHAVE_LINUXSPI=ON # Ditto.
- )
- use ftdi || mycmakeargs+=( -DHAVE_LIBFTDI1='' )
- use readline || mycmakeargs+=( -DHAVE_LIBREADLINE='' )
- cmake_src_configure
-}
diff --git a/dev-embedded/avrdude/avrdude-7.2.ebuild b/dev-embedded/avrdude/avrdude-7.2.ebuild
index e893eaa4b9c3..e403b6031ea7 100644
--- a/dev-embedded/avrdude/avrdude-7.2.ebuild
+++ b/dev-embedded/avrdude/avrdude-7.2.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/avrdudes/avrdude/archive/refs/tags/v${PV}.tar.gz ->
LICENSE="GPL-2+"
SLOT="0/1" # SOVERSION in src/CMakeLists.txt
-KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+KEYWORDS="amd64 arm ppc ppc64 x86"
IUSE="ftdi readline"
RDEPEND="
diff --git a/dev-embedded/esptool/esptool-4.7.0-r2.ebuild b/dev-embedded/esptool/esptool-4.7.0-r3.ebuild
index 1788d7b8b0a1..17a7362602d8 100644
--- a/dev-embedded/esptool/esptool-4.7.0-r2.ebuild
+++ b/dev-embedded/esptool/esptool-4.7.0-r3.ebuild
@@ -5,6 +5,7 @@ EAPI=8
PYTHON_COMPAT=( python3_{10..12} )
DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
inherit distutils-r1
@@ -14,7 +15,7 @@ SRC_URI="https://github.com/espressif/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
LICENSE="GPL-2+"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+KEYWORDS="amd64 ~arm ~arm64 x86"
RDEPEND="
$(python_gen_cond_dep '
diff --git a/dev-embedded/libftdi/files/libftdi-1.5-py312.patch b/dev-embedded/libftdi/files/libftdi-1.5-py312.patch
new file mode 100644
index 000000000000..51fdd10efd81
--- /dev/null
+++ b/dev-embedded/libftdi/files/libftdi-1.5-py312.patch
@@ -0,0 +1,25 @@
+https://bugs.gentoo.org/934224
+http://developer.intra2net.com/git/?p=libftdi;a=commit;h=abd19b721f7e9b4d514ed319ece173ebc7b1ea72
+
+From abd19b721f7e9b4d514ed319ece173ebc7b1ea72 Mon Sep 17 00:00:00 2001
+From: =?utf8?q?Dan=20Hor=C3=A1k?= <dan@danny.cz>
+Date: Mon, 19 Dec 2022 17:40:43 +0100
+Subject: [PATCH] python: move from distutils to sysconfig
+
+The distutils module was deprecated in Python 3.10, and will be removed
+in 3.12 [1], thus switch to the sysconfig module instead.
+
+[1] https://peps.python.org/pep-0632/
+--- a/python/CMakeLists.txt
++++ b/python/CMakeLists.txt
+@@ -42,7 +42,7 @@ endif ()
+
+ set_target_properties ( ${SWIG_MODULE_ftdi1_REAL_NAME} PROPERTIES NO_SONAME ON )
+
+-execute_process ( COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; print( sysconfig.get_python_lib( plat_specific=True, prefix='${CMAKE_INSTALL_PREFIX}' ) )"
++execute_process ( COMMAND ${PYTHON_EXECUTABLE} -c "import sysconfig; print( sysconfig.get_path( 'platlib', vars={'platbase': '${CMAKE_INSTALL_PREFIX}'} ) )"
+ OUTPUT_VARIABLE _ABS_PYTHON_MODULE_PATH
+ OUTPUT_STRIP_TRAILING_WHITESPACE )
+
+--
+1.7.1
diff --git a/dev-embedded/libftdi/libftdi-0.20-r3.ebuild b/dev-embedded/libftdi/libftdi-0.20-r3.ebuild
index da4a55f0c65e..2f941a5555ef 100644
--- a/dev-embedded/libftdi/libftdi-0.20-r3.ebuild
+++ b/dev-embedded/libftdi/libftdi-0.20-r3.ebuild
@@ -11,7 +11,7 @@ if [[ ${PV} == 9999* ]] ; then
EGIT_REPO_URI="git://developer.intra2net.com/${PN}"
else
SRC_URI="https://www.intra2net.com/en/developer/${PN}/download/${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+ KEYWORDS="amd64 arm arm64 ~loong ~ppc ppc64 ~riscv ~sparc x86"
fi
DESCRIPTION="Userspace access to FTDI USB interface chips"
diff --git a/dev-embedded/libftdi/libftdi-1.5-r6.ebuild b/dev-embedded/libftdi/libftdi-1.5-r7.ebuild
index 267cb1a06ce6..daaffe17cdac 100644
--- a/dev-embedded/libftdi/libftdi-1.5-r6.ebuild
+++ b/dev-embedded/libftdi/libftdi-1.5-r7.ebuild
@@ -14,12 +14,7 @@ else
SRC_URI="https://www.intra2net.com/en/developer/${PN}/download/${MY_P}.tar.bz2"
S="${WORKDIR}/${MY_P}"
- KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
-
- PATCHES=(
- "${FILESDIR}"/${P}-tests-no-cxx.patch
- "${FILESDIR}"/${P}-cmake-cxx.patch
- )
+ KEYWORDS="amd64 arm arm64 ~loong ~mips ~ppc ppc64 ~riscv ~sparc x86"
fi
DESCRIPTION="Userspace access to FTDI USB interface chips"
@@ -46,6 +41,12 @@ BDEPEND="
python? ( >=dev-lang/swig-4.2.0 )
"
+PATCHES=(
+ "${FILESDIR}"/${P}-tests-no-cxx.patch
+ "${FILESDIR}"/${P}-cmake-cxx.patch
+ "${FILESDIR}"/${P}-py312.patch
+)
+
pkg_setup() {
use python && python-single-r1_pkg_setup
}
diff --git a/dev-embedded/libftdi/libftdi-9999.ebuild b/dev-embedded/libftdi/libftdi-9999.ebuild
index 0430681351f7..9b7ea06302bb 100644
--- a/dev-embedded/libftdi/libftdi-9999.ebuild
+++ b/dev-embedded/libftdi/libftdi-9999.ebuild
@@ -15,11 +15,6 @@ else
S="${WORKDIR}/${MY_P}"
KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
-
- PATCHES=(
- "${FILESDIR}"/${P}-tests-no-cxx.patch
- "${FILESDIR}"/${P}-cmake-cxx.patch
- )
fi
DESCRIPTION="Userspace access to FTDI USB interface chips"
diff --git a/dev-embedded/nodemcu-uploader/nodemcu-uploader-1.0.0-r1.ebuild b/dev-embedded/nodemcu-uploader/nodemcu-uploader-1.0.0-r1.ebuild
index 85ff04fa53c9..bf82f1c4fcba 100644
--- a/dev-embedded/nodemcu-uploader/nodemcu-uploader-1.0.0-r1.ebuild
+++ b/dev-embedded/nodemcu-uploader/nodemcu-uploader-1.0.0-r1.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..12} )
inherit distutils-r1
DESCRIPTION="Simple tool for uploading files to the filesystem of an ESP8266 running NodeMCU"
diff --git a/dev-embedded/sunxi-tools/sunxi-tools-1.4.2.ebuild b/dev-embedded/sunxi-tools/sunxi-tools-1.4.2.ebuild
index d7ce94b79fc2..e533bd619903 100644
--- a/dev-embedded/sunxi-tools/sunxi-tools-1.4.2.ebuild
+++ b/dev-embedded/sunxi-tools/sunxi-tools-1.4.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="8"
@@ -13,7 +13,7 @@ if [[ ${PV} = *9999* ]]; then
RDEPEND="sys-apps/dtc
sys-libs/zlib"
else
- KEYWORDS="~amd64"
+ KEYWORDS="amd64"
# We need this as zip, it is used during src_test
SRC_URI="https://github.com/linux-sunxi/sunxi-tools/archive/v${PV}.tar.gz -> ${P}.tar.gz
test? ( https://github.com/linux-sunxi/sunxi-boards/archive/bc7410fed9e5d9b31cd1d6ae90462d06b513660e.zip \
diff --git a/dev-embedded/u-boot-tools/u-boot-tools-2024.01.ebuild b/dev-embedded/u-boot-tools/u-boot-tools-2024.01.ebuild
index 8930c2758c2b..f4ac4ba3e697 100644
--- a/dev-embedded/u-boot-tools/u-boot-tools-2024.01.ebuild
+++ b/dev-embedded/u-boot-tools/u-boot-tools-2024.01.ebuild
@@ -17,7 +17,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv x86"
IUSE="envtools"
RDEPEND="dev-libs/openssl:="